<?php

namespace Drupal\report_station\Attribute;

use Drupal\toolshed\Strategy\Attribute\Strategy;

/**
 * Attribute for class discovery of report station renderers.
 */
#[\Attribute(\Attribute::TARGET_CLASS)]
class ReportRenderer extends Strategy {

  public function __construct(
    public readonly string $id,
    public readonly \Stringable|string|null $label = NULL,
    public array $beacon_types = [],
  ) {}

}
