CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Extending
 * Maintainers


INTRODUCTION
------------

The `Report Station` module receives, validates and stores report transmissions
created by the [Server Beacon](https://www.drupal.org/project/server_beacon)
module.

The reports then become available for display and reporting of server update
status.


REQUIREMENTS
------------

This module requires the following modules:

 * [Key](https://www.drupal.org/project/key)
 * [JSON Field](https://www.drupal.org/project/json_field)
 * [Server Beacon](https://www.drupal.org/project/server_beacon)


INSTALLATION
------------

Install as you would normally install a contributed Drupal module. Visit
https://www.drupal.org/node/1897420 for further information.


CONFIGURATION
-------------

Build and manage report station & report receivers at
`/admin/config/services/report-station` or navigate to the `Report Station`
link on the admin web services page. From here you add report stations and their
receivers. Ensure that the receiver type and setting match the report
transmitter configurations of the reporter.


MAINTAINERS
-----------

Current maintainers:
 * Liem Khuu (lemming) - https://www.drupal.org/u/lemming
